## org.apache.cassandra.thrift
Class TBinaryProtocol.Factory

    java.lang.Object
      org.apache.thrift.protocol.TBinaryProtocol.Factory
          org.apache.cassandra.thrift.TBinaryProtocol.Factory

All Implemented Interfaces:
  java.io.Serializable, org.apache.thrift.protocol.TProtocolFactory

Enclosing class:
  TBinaryProtocol

    public static class TBinaryProtocol.Factory

extends org.apache.thrift.protocol.TBinaryProtocol.Factory

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.thrift.protocol.TBinaryProtocol.Factory
`readLength_, strictRead_, strictWrite_`

Constructor Summary
`TBinaryProtocol.Factory()`
`TBinaryProtocol.Factory(boolean strictRead, boolean strictWrite)`

Method Summary
`org.apache.thrift.protocol.TProtocol` `getProtocol(org.apache.thrift.transport.TTransport trans)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TBinaryProtocol.Factory

    public TBinaryProtocol.Factory()

### TBinaryProtocol.Factory

    public TBinaryProtocol.Factory(boolean strictRead,
                                   boolean strictWrite)

Method Detail

### getProtocol

    public org.apache.thrift.protocol.TProtocol getProtocol(org.apache.thrift.transport.TTransport trans)

  Specified by:
    `getProtocol` in interface `org.apache.thrift.protocol.TProtocolFactory`
  Overrides:
    `getProtocol` in class `org.apache.thrift.protocol.TBinaryProtocol.Factory`

Copyright © 2013 The Apache Software Foundation